﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart;
using Steema.TeeChart.Styles;

namespace PolarChartTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            tChart1.Cursor = Cursors.Cross;
        }

        private void btnDeleteAllSeries_Click(object sender, EventArgs e)
        {
            tChart1.Series.Clear();
        }

        private void btnAdd_Click(object sender, EventArgs e)
        {
            Random r = new Random();
            Polar newSeries = new Polar();
            for (int i = 0; i < 10; i++)
            {
                newSeries.Add(r.Next(360), r.Next(100));
            }
            tChart1.Series.Add(newSeries);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Polar newSeries = new Polar();
            newSeries.Circled = true;
            newSeries.Add(1, 0);
            newSeries.Pointer.Transparency = 100;
            tChart1.Series.Add(newSeries);
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            if (tChart1.Cursor == Cursors.Arrow)
            {
                this.Cursor = Cursors.Hand;
                tChart1.Cursor = Cursors.Cross;
                btnAdd.Cursor = Cursors.Cross;
            }
            else
            {
                this.Cursor = Cursors.Arrow;
                tChart1.Cursor = Cursors.Arrow;
                btnAdd.Cursor = Cursors.Arrow;
            }
        }

        private void btnDirectionBeforeData_Click(object sender, EventArgs e)
        {
            Polar newSeries = new Polar();
            newSeries.CircleLabels = true;
            newSeries.Color = Color.Red;
            newSeries.ClockWiseLabels = true;
            newSeries.Add(0, 10);
            newSeries.Add(90, 2);
            newSeries.Add(180, 4);
            newSeries.Add(270, 8);
            tChart1.Series.Add(newSeries);
        }

        private void btnDataBeforeDirection_Click(object sender, EventArgs e)
        {
            Polar newSeries = new Polar();
            newSeries.CircleLabels = true;
            newSeries.Color = Color.DarkGreen;
            newSeries.Add(0, 10);
            newSeries.Add(90, 2);
            newSeries.Add(180, 4);
            newSeries.Add(270, 8);
            newSeries.ClockWiseLabels = true;
            tChart1.Series.Add(newSeries);
        }

        private void btnSwitchDirection_Click(object sender, EventArgs e)
        {
            foreach (Polar s in tChart1.Series)
            {
                if (s.ClockWiseLabels)
                    s.ClockWiseLabels = false;
                else
                    s.ClockWiseLabels = true;
            }
        }
    }
}
